package ch.zhaw.catan;

import org.beryx.textio.TextIO;

public enum Command {
    NEXTPLAYER ("next Player"), QUIT("quit"), UNKNOWN ("unknown");

    private String commandWord;


    public static <T extends Enum<T>> T getEnumValue(TextIO textIO, Class<T> commands) {
        return textIO.newEnumInputReader(commands).read("What would you like to do?");
    }


    Command(String commandWord) {
        this.commandWord = commandWord;
    }
    public String toString() {
        return commandWord;
    }
}
